package com.example.appmobile;

import androidx.appcompat.app.AppCompatActivity;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.EditText;
import android.widget.Toast;

import com.example.appmobile.helpers.Task;
import com.example.appmobile.helpers.User;

public class NewTaskActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_new_task);
    }

    public void onCancel(View v){
        Intent intent = new Intent(this, TasksActivity.class);
        startActivity(intent);
    }

    public void onSave(View v){
        String title = ((EditText)findViewById(R.id.input_title)).getText().toString();
        String desc = ((EditText)findViewById(R.id.input_desc)).getText().toString();

        if(title.isEmpty() || desc.isEmpty()){
            Toast.makeText(this, "Title or description is empty", Toast.LENGTH_LONG).show();
            return;
        }
        User.open.add(new Task(title, desc));

        Intent intent = new Intent(this, TasksActivity.class);
        startActivity(intent);
    }
}