package com.example.appmobile;

import androidx.appcompat.app.AppCompatActivity;
import androidx.fragment.app.FragmentTransaction;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.FrameLayout;
import android.widget.TextView;

public class TicksActivity extends AppCompatActivity {

    private TextView tick;
    private int temp = -1;
    private final String[] ticks = new String[]{"Никогда не сравнивайте себя с другими, каждый имеет свой собственный путь и свои уникальные обстоятельства. Сосредоточьтесь на своем прогрессе и постоянно совершенствовайтесь, верьте в свои силы и двигайтесь к своим целям.",
    "Ставьте реалистичные цели и разбивайте их на маленькие шаги, так вам будет легче двигаться вперед и достигать успеха. Не забывайте отдыхать и наслаждаться жизнью, ведь успех не только в достижениях, но и в гармонии с самим собой.",
    "Сохраняйте спокойствие и оптимизм в любой ситуации, так как это поможет вам принимать более взвешенные решения и двигаться вперед в жизни."};

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_ticks);

        tick = findViewById(R.id.text_ticks);
        temp = 0;
        tick.setText(ticks[temp++]);

        FrameLayout navBarFrameLayout = findViewById(R.id.nav_bar_ticks);

        NavigationFragment navBar = new NavigationFragment();
        FragmentTransaction ft = getSupportFragmentManager().beginTransaction();
        ft.replace(navBarFrameLayout.getId(), navBar);
        ft.commit();
    }

    public void onRight(View v){
        if(temp < ticks.length)
            tick.setText(ticks[temp++]);

        else{
            temp = 0;
            tick.setText(ticks[temp++]);
        }
    }

    public void onLeft(View v){
        if(temp >= 0)
            tick.setText(ticks[temp--]);

        else{
            temp = ticks.length - 1;
            tick.setText(ticks[temp--]);
        }
    }
}