package com.example.appmobile;

import androidx.appcompat.app.AlertDialog;
import androidx.appcompat.app.AppCompatActivity;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.TextView;

import com.example.appmobile.helpers.User;

public class ForgotPasswordActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_forgot_password);
    }

    public void onCancel(View v){
        Intent intent = new Intent(this, MainActivity.class);
        startActivity(intent);
    }

    public void onSave(View v){
        TextView email = findViewById(R.id.inputEmail);
        TextView password = findViewById(R.id.inputNewPass);
        TextView password2 = findViewById(R.id.inputConfNewPass);

        if(!email.getText().toString().equals(User.email)){
            AlertDialog.Builder builder = new AlertDialog.Builder(this);
            builder.setTitle("ERROR!!")
                    .setMessage("Почта не найдена")
                    .setCancelable(true)
                    .setPositiveButton("Ok", (dialog, which) -> {
                        dialog.cancel();
                    });

            AlertDialog dialog = builder.create();
            dialog.show();
            return;
        }

        if(!password.getText().toString().equals(password2.getText().toString())){
            //Toast.makeText(this, "Пароли не одинаковые", Toast.LENGTH_LONG).show();
            AlertDialog.Builder builder = new AlertDialog.Builder(this);
            builder.setTitle("ERROR!!")
                    .setMessage("Пароли не совпадают")
                    .setCancelable(true)
                    .setPositiveButton("Ok", (dialog, which) -> {
                        dialog.cancel();
                    });

            AlertDialog dialog = builder.create();
            dialog.show();
            return;
        }

        User.email = email.getText().toString();
        User.password = password.getText().toString();

        Intent intent = new Intent(this, MainActivity.class);
        startActivity(intent);
    }
}